## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iActionQuestRewardFactory Member List

This is the complete list of members for iActionQuestRewardFactory, including all inherited members.

AddParameter(celDataType type, csStringID id, const char *name, const char *value)=0 | iActionQuestRewardFactory | `[pure virtual]`
SetEntityParameter(const char *entity)=0 | iActionQuestRewardFactory | `[pure virtual]`
SetIDParameter(const char *id)=0 | iActionQuestRewardFactory | `[pure virtual]`
SetPropertyClassParameter(const char *propertyclass)=0 | iActionQuestRewardFactory | `[pure virtual]`
SetTagParameter(const char *tag)=0 | iActionQuestRewardFactory | `[pure virtual]`